# Обратное собеседование

Это список вопросов, который может быть интересен соискателю должности технического специалиста.
Пункты не упорядочен и могут быть неприменимы к конкретной должности или виду работы.
Вначале это был просто список вопросов, но со временем он стал включать ещё и те вещи, которых хотелось бы видеть больше, и «красные флажки», то есть вещи, которых хочется избегать.
Ещё я обратил внимание, что многие люди, которых я собеседовал, не задавали эти вопросы, и, я думаю, это были упущенные возможности.

Если вы задавали вопросы, которых нет в этом списке, отправьте пожалуйста пулл-реквест!

Оригинал:
* [Английский](https://github.com/viraptor/reverse-interview)

Переводы:
* [Корейский](https://github.com/JaeYeopHan/Interview_Question_for_Beginner/blob/master/Reverse_Interview/README.md)

## Как пользоваться списком

- Проверьте, какие вопросы интересны конкретно вам
- Проверьте, какие ответы вы сами можете найти в сети
- Или задавайте вопросы!

Точно не стоит задавать все вопросы из списка.

Помните, что многие вещи бывают очень гибкими, и реорганизации происходят довольно часто.
Само по себе наличие багтрекера не делает работу над багами эффективной, а наличие CI/CD не означает, что время выполнения и выкатывания фич сокращается.

# Должность
- Есть ли план дежурств? И какой он? Оплачиваются ли дежурство и связанные с ним переработки?
- Какие типичные задачи мне придётся решать в течене обычного рабочего дня?
- Какой сейчас в команде баланс специалистов разных уровней (junior/senior), и есть ли планы его изменять?
- Как выглядит процесс приёма на работу и погружения в рабочие процессы?
- Как будут в должности соотноситься самостоятельные действия и работа по конкретным спискам?
- Каковы ожидания по объему основного рабочего времени?
- Назовите критерии успеха для специалиста в данной должности.

# Технологии
- Какой технический стек обычно используется в компании?
- Как вы используете системы контроля версий/исходного кода?
- Как вы тестируете код?
- Как вы ведёте учёт багов?
- Как вы сливаете и выгружаете изменения? Делается ли это через CI/CD?
- Находится ли конфигурация инфраструктуры в системе контроля версий? И доступна ли она в виде кода?
- Каков путь задачи от планирования до окончания и закрытия?
- Как вы готовитесь к восстановлению после ЧП?
- Есть ли в компании стандартизованная среда разработки? Является ли она принудительной?
- Как быстро вы можете поднять новое локальное тестовое окружение для продукта? (в минутах/часах/днях)
- Как быстро вы реагируете на проблемы безопасности в вашем собственном коде и в зависимостях?
- Имеют ли все разработчики права локальных администраторов на своих рабочих компьютерах?

# Команда
- Как у вас организована работа?
- Как обычно работает взаимодействие внутри и между командами?
- Как разрешаются противоречия во мнениях?
- Кто устанавливает внутренние графики и приоритеты?
- Что происходит при внезапных срывах сроков?
- Происходят ли какие-то встречи в течение недели? Если да, то какие?
- Каков график релизов продукта? (Каждые n недель / continuous deployment / несколько каналов релизов / что-то ещё)
- Что происходит в случае ЧП на продакшене? Есть ли у вас культура анализа инцидентов без обвинения конкретных лиц?
- Какие сейчас есть проблемы у команды, которые ещё только предстоит решить?

# Компания
- Есть ли отдельный бюджет на конференции/рабочие путешествия, и как его можно использовать*
- Как происходят повышения? Как вы договариваетесь о требованиях и ожиданиях в таком случае?
- Разделены ли карьерные пути в менеджменте и разработке?
- Как много дней можно пропустить ежегодно / по причине болезни / из-за детей / без сохранения зарплаты?
- Каковы взгляды работодателя на культурное разнообразие при найме?
- Доступны ли в компании ресурсы для обучения, такие как онлайн-курсы или подписка на электронные книги?
- Есть ли бюджет для получения профессиональных сертификатов?
- Какова стадия проекта? (ранняя, поиск направления / работа над функционалом / поддержка / ...)
- Смогу ли я контрибьютить в проекты с открытым кодом? Нужны ли для этого разрешения?
- Нужно ли мне будет подписать соглашения о неразглашении или о не-конкруренции?

# Бизнес
- Доходен ли бизнес?
- Если нет, как долго вы можете оставаться стабильными?
- Откуда приходит финансирование, и кто влияет на планы на высоком уровне?
- Как бизнес зарабатывает?
- Что или кто мешает бизнесу зарабатывать ещё больше?

# Удалённая работа
- Как соотносятся доли офисных и удалённых работников?
- Предоставляет ли компания железо, и если да, то каков график его обновления?
- Можно ли через компанию купить аксессуары или мебель? Есть ли на это бюджет?
- Как часто нужно будет посещать офис?
- Всегда ли переговорки готовы для проведения видеоконференций?

# Офисная работа
- Какой у вас офис? Опенспейс, кубиклы, отдельные комнаты?
- Находятся ли команды поддержки, маркетинга или другие постоянно кому-то звонящие люди рядом с командой, в которую меня нанимают?

# Что ещё посмотреть

- Больше идей для вопросов есть в [Joel Test](https://www.joelonsoftware.com/2000/08/09/the-joel-test-12-steps-to-better-code/)
